Package org.apache.synapse.commons.throttle.module

# Class ThrottleModule

java.lang.Object
org.apache.synapse.commons.throttle.module.ThrottleModule

All Implemented Interfaces:
  `org.apache.axis2.modules.Module`

public class ThrottleModule extends Object implements org.apache.axis2.modules.Module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThrottleModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyPolicy(org.apache.neethi.Policy policy, org.apache.axis2.description.AxisDescription axisDescription)`
  `boolean`
  `canSupportAssertion(org.apache.neethi.Assertion assertion)`
  `void`
  `engageNotify(org.apache.axis2.description.AxisDescription axisDescription)`
  `void`
  `init(org.apache.axis2.context.ConfigurationContext configContext, org.apache.axis2.description.AxisModule module)`
  initialize the module
  `void`
  `shutdown(org.apache.axis2.context.ConfigurationContext configurationContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThrottleModule

    public ThrottleModule()

- ## Method Details

  - ### init

    public void init(org.apache.axis2.context.ConfigurationContext configContext, org.apache.axis2.description.AxisModule module) throws org.apache.axis2.AxisFault
    initialize the module
    Specified by:
      `init` in interface `org.apache.axis2.modules.Module`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### engageNotify

    public void engageNotify(org.apache.axis2.description.AxisDescription axisDescription) throws org.apache.axis2.AxisFault
    Specified by:
      `engageNotify` in interface `org.apache.axis2.modules.Module`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### shutdown

    public void shutdown(org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Specified by:
      `shutdown` in interface `org.apache.axis2.modules.Module`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### applyPolicy

    public void applyPolicy(org.apache.neethi.Policy policy, org.apache.axis2.description.AxisDescription axisDescription) throws org.apache.axis2.AxisFault
    Specified by:
      `applyPolicy` in interface `org.apache.axis2.modules.Module`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### canSupportAssertion

    public boolean canSupportAssertion(org.apache.neethi.Assertion assertion)
    Specified by:
      `canSupportAssertion` in interface `org.apache.axis2.modules.Module`